### Parameters

`Key : sig ... end with type t := Key.t`

### Signature

`type 'a t`````
`val bin_shape_t : Bin_prot.Shape.t ‑> Bin_prot.Shape.t`
`val bin_size_t : ('a, 'a t) Bin_prot.Size.sizer1`
`val bin_write_t : ('a, 'a t) Bin_prot.Write.writer1`
`val bin_read_t : ('a, 'a t) Bin_prot.Read.reader1`
`val __bin_read_t__ : ('a, int ‑> 'a t) Bin_prot.Read.reader1`
`val bin_writer_t : ('a, 'a t) Bin_prot.Type_class.S1.writer`
`val bin_reader_t : ('a, 'a t) Bin_prot.Type_class.S1.reader`
`val bin_t : ('a, 'a t) Bin_prot.Type_class.S1.t`